#! /usr/bin/env node
const { program } = require('commander');

  async function main() {
  program.version(require('../package.json').version)
  program
    .option('-a, --debug', 'output extra debugging')
    .option('-r, --small', 'small pizza size')
    .option('-p, --pizza-type <type>', 'flavour of pizza');
    program.on('option:verbose', function () {
      process.env.VERBOSE = this.verbose;
    });
    
    program.on('command:*', function (operands) {
      console.error(`error: unknown command '${operands[0]}'`);
      const availableCommands = program.commands.map(cmd => cmd.name());
      
      process.exitCode = 1;
    });
    
  program.parse(process.argv);
}

main().catch(err=>{
  console.log(err);
})